var chalk = require('chalk');
var fs = require('fs');

var addDefaultStateObserver = function (directory, componentName, componentBaseFileName) {
    var self = this;
    self.componentName = componentName;
    self.componentBaseFileName = componentBaseFileName;
    self.directory = directory;
    self.componentDirectory = self.directory + '/' + self.componentBaseFileName;
    self.fullFileName = self.componentDirectory + '/' + self.componentBaseFileName + '.state.js';

    self.Execute = function () {
        console.log(chalk.green('Creating ' + self.fullFileName));
        fs.writeFileSync(self.fullFileName, 'export const ' + self.componentName + 'DefaultState={};');
    }
};

module.exports = addDefaultStateObserver;
