var chalk = require('chalk');
var fs=require('fs');

var addStylesObserver = function (directory, componentName,componentBaseFileName,environment) {
    var self = this;
    self.componentName = componentName;
    self.componentBaseFileName=componentBaseFileName;
    self.directory = directory;
    self.componentDirectory = self.directory + '/' + self.componentBaseFileName;
    self.fullFileNameJS=self.componentDirectory + '/' + self.componentBaseFileName+'.styles.js';
    self.fullFileNameCSS=self.componentDirectory + '/' + self.componentBaseFileName+'.styles.css';
    self.environment=environment.toLowerCase();

    self.Execute = function () {

        console.log(chalk.green('Creating '+self.fullFileNameJS));
        fs.writeFileSync(self.fullFileNameJS,'export let '+self.componentName+'Styles={};');

        if(self.environment==='web')
        {
            console.log(chalk.green('Creating '+self.fullFileNameCSS));
            fs.writeFileSync(self.fullFileNameCSS,'');
        }

    }
};

module.exports = addStylesObserver;
