var chalk = require('chalk');
var fs = require('fs');

var addAjaxObserver = function (directory, componentName, componentBaseFileName) {
    var self = this;
    self.componentName = componentName;
    self.componentBaseFileName = componentBaseFileName;
    self.directory = directory;
    self.componentDirectory = self.directory + '/' + self.componentBaseFileName;
    self.fullFileName = self.componentDirectory + '/' + self.componentBaseFileName + '.ajax.js';

    self.Execute = function () {
        console.log(chalk.green('Creating ' + self.fullFileName));
        fs.writeFileSync(self.fullFileName, '/*Add AJAX calls that relate to this component here */');
    }
};

module.exports = addAjaxObserver;
