var chalk = require('chalk');
var fs = require('fs-extra');

var createComponentDirectoryObserver = function (directory, componentName, componentBaseFileName) {

    var self = this;
    self.directory = directory;
    self.componentName = componentName;
    self.componentBaseFileName = componentBaseFileName;
    self.componentDirectory = self.directory + '/' + self.componentBaseFileName;

    self.Execute = function () {
        console.log(chalk.bold.green('Creating ' + self.componentDirectory));
        fs.ensureDirSync(self.componentDirectory);
        console.log(chalk.bold.green('Creating ' + self.componentDirectory+'/tests'));
        fs.ensureDirSync(self.componentDirectory+'/tests');
    };
};

module.exports = createComponentDirectoryObserver;
